=== debian/control ===
Source: ros-kinetic-cloudwatch-metrics-collector
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, libgtest-dev, ros-kinetic-aws-common, ros-kinetic-aws-ros1-common, ros-kinetic-catkin, ros-kinetic-cloudwatch-metrics-common, ros-kinetic-ros-monitoring-msgs, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Homepage: http://wiki.ros.org/cloudwatch_metrics_collector
Standards-Version: 3.9.2

Package: ros-kinetic-cloudwatch-metrics-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-aws-common, ros-kinetic-aws-ros1-common, ros-kinetic-cloudwatch-metrics-common, ros-kinetic-ros-monitoring-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Description: Subscriber node for the aws/monitoring topic to publish metrics to AWS Cloudwatch
